### File

`packages/ecl/components/ecl-splash-page/ecl-splash-page-language-category/ecl-splash-page-language-category.component.ts`

### Description

Component representing a category of languages displayed on the splash page. Used to group related language links under a common title.

### Extends

`ECLBaseDirective`

### Metadata

selector | `div[eclSplashPageLanguageCategory]`
templateUrl | `./ecl-splash-page-language-category.component.html`

### Index

###### Methods
getCssClasses
###### Inputs
title class e2eAttr tabindex
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

title
Type : `string`
Title of the language category.

class
Type : `string`

e2eAttr
Type : `any`

tabindex
Type : `number`

### HostBindings

class
Type : `string`
Binds the appropriate ECL styling class to the host element.

### Methods

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Accessors

cssClasses
get `cssClasses()`
Binds the appropriate ECL styling class to the host element. Returns : `string`

# results matching ""

# No results matching ""